Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000372Core InformModel worldpublic2010-10-29 21:132011-01-10 11:15
Assigned Tograham 
PlatformOSOS Version
Product Version6F95 
Target VersionFixed in Version6G60 
Summary0000372: "Game is now in its normal 'brief' printing mode" even when that's not normal
DescriptionThese library messages do not correctly report what is "normal".

" is now in its normal ~brief~ printing mode..."
" is now in its ~verbose~ mode..."
" is now in its ~superbrief~ mode..."

"Verbose" is now the default default, and the messages should also be sensitive to the "Use full-length/abbreviated room descriptions" option.
Minimal Source Text To Reproduce
The Kitchen is a room. "Kitcheny."
The Bathroom is north of the Kitchen. "Bathroomy."
Test me with "brief / verbose / superbrief".
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
graham (administrator)
2010-11-21 15:42

Fixed. No mode is now described as "normal"; we live in a pluralistic age of room description customs.

- Issue History
Date Modified Username Field Change
2010-10-29 21:13 zarf New Issue
2010-10-30 21:35 jmcgrew Severity cosmetic => mild
2010-10-30 21:35 jmcgrew Status new => acknowledged
2010-10-31 21:59 jmcgrew Status acknowledged => confirmed
2010-10-31 21:59 jmcgrew Steps to Reproduce Updated View Revisions
2010-11-21 15:42 graham Note Added: 0000862
2010-11-21 15:42 graham Status confirmed => resolved
2010-11-21 15:42 graham Resolution open => fixed
2010-11-21 15:42 graham Assigned To => graham
2010-12-23 17:37 jmcgrew Fixed in Version => 6G60
2011-01-10 11:15 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker